import{s as We,n as Xe,o as Ye}from"../chunks/scheduler.9bc65507.js";import{S as Ze,i as et,g as l,s as a,r as m,A as tt,h as o,f as t,c as n,j as v,u as i,x as E,k as $,y as d,a as s,v as f,d as c,t as u,w as p}from"../chunks/index.707bf1b6.js";import{D as _}from"../chunks/Docstring.17db21ae.js";import{H as se}from"../chunks/Heading.342b1fa6.js";function rt(Ve){let h,ae,te,ne,C,le,P,ke="This page lists all of Transformers general utility functions that are found in the file <code>utils.py</code>.",oe,T,qe="Most of those are only useful if you are studying the general code in the library.",me,L,ie,b,D,Te,J,He="Enum with more explicit error message for missing values.",de,y,M,Le,Q,je=`Possible values for the <code>padding</code> argument in <a href="/docs/transformers/v4.37.1/en/model_doc/fastspeech2_conformer#transformers.FastSpeech2ConformerTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for tab-completion in an
IDE.`,fe,x,I,De,W,Ue=`Possible values for the <code>return_tensors</code> argument in <a href="/docs/transformers/v4.37.1/en/model_doc/fastspeech2_conformer#transformers.FastSpeech2ConformerTokenizer.__call__">PreTrainedTokenizerBase.<strong>call</strong>()</a>. Useful for
tab-completion in an IDE.`,ce,S,ue,z,V,pe,k,q,ge,H,j,ve,U,A,$e,B,F,_e,G,he,g,O,Me,X,Ae="Descriptor that mimics @property but caches output in member variable.",Ie,Y,Be="From tensorflow_datasets",Se,Z,Fe="Built-in in functools from Python 3.8.",be,K,ye,N,R,ze,ee,Ge="Module class that surfaces all objects but only performs associated imports when the objects are requested.",xe,re,Ne;return C=new se({props:{title:"General Utilities",local:"general-utilities",headingTag:"h1"}}),L=new se({props:{title:"Enums and namedtuples",local:"transformers.utils.ExplicitEnum",headingTag:"h2"}}),D=new _({props:{name:"class transformers.utils.ExplicitEnum",anchor:"transformers.utils.ExplicitEnum",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/generic.py#L452"}}),M=new _({props:{name:"class transformers.utils.PaddingStrategy",anchor:"transformers.utils.PaddingStrategy",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/generic.py#L464"}}),I=new _({props:{name:"class transformers.TensorType",anchor:"transformers.TensorType",parameters:[{name:"value",val:""},{name:"names",val:" = None"},{name:"module",val:" = None"},{name:"qualname",val:" = None"},{name:"type",val:" = None"},{name:"start",val:" = 1"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/generic.py#L475"}}),S=new se({props:{title:"Special Decorators",local:"transformers.add_start_docstrings",headingTag:"h2"}}),V=new _({props:{name:"transformers.add_start_docstrings",anchor:"transformers.add_start_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/doc.py#L23"}}),q=new _({props:{name:"transformers.utils.add_start_docstrings_to_model_forward",anchor:"transformers.utils.add_start_docstrings_to_model_forward",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/doc.py#L31"}}),j=new _({props:{name:"transformers.add_end_docstrings",anchor:"transformers.add_end_docstrings",parameters:[{name:"*docstr",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/doc.py#L53"}}),A=new _({props:{name:"transformers.utils.add_code_sample_docstrings",anchor:"transformers.utils.add_code_sample_docstrings",parameters:[{name:"*docstr",val:""},{name:"processor_class",val:" = None"},{name:"checkpoint",val:" = None"},{name:"output_type",val:" = None"},{name:"config_class",val:" = None"},{name:"mask",val:" = '[MASK]'"},{name:"qa_target_start_index",val:" = 14"},{name:"qa_target_end_index",val:" = 15"},{name:"model_cls",val:" = None"},{name:"modality",val:" = None"},{name:"expected_output",val:" = None"},{name:"expected_loss",val:" = None"},{name:"real_checkpoint",val:" = None"},{name:"revision",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/doc.py#L1064"}}),F=new _({props:{name:"transformers.utils.replace_return_docstrings",anchor:"transformers.utils.replace_return_docstrings",parameters:[{name:"output_type",val:" = None"},{name:"config_class",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/doc.py#L1162"}}),G=new se({props:{title:"Special Properties",local:"transformers.utils.cached_property",headingTag:"h2"}}),O=new _({props:{name:"class transformers.utils.cached_property",anchor:"transformers.utils.cached_property",parameters:[{name:"fget",val:" = None"},{name:"fset",val:" = None"},{name:"fdel",val:" = None"},{name:"doc",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/generic.py#L36"}}),K=new se({props:{title:"Other Utilities",local:"transformers.utils._LazyModule",headingTag:"h2"}}),R=new _({props:{name:"class transformers.utils._LazyModule",anchor:"transformers.utils._LazyModule",parameters:[{name:"name",val:""},{name:"module_file",val:""},{name:"import_structure",val:""},{name:"module_spec",val:" = None"},{name:"extra_objects",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/v4.37.1/src/transformers/utils/import_utils.py#L1315"}}),{c(){h=l("meta"),ae=a(),te=l("p"),ne=a(),m(C.$$.fragment),le=a(),P=l("p"),P.innerHTML=ke,oe=a(),T=l("p"),T.textContent=qe,me=a(),m(L.$$.fragment),ie=a(),b=l("div"),m(D.$$.fragment),Te=a(),J=l("p"),J.textContent=He,de=a(),y=l("div"),m(M.$$.fragment),Le=a(),Q=l("p"),Q.innerHTML=je,fe=a(),x=l("div"),m(I.$$.fragment),De=a(),W=l("p"),W.innerHTML=Ue,ce=a(),m(S.$$.fragment),ue=a(),z=l("div"),m(V.$$.fragment),pe=a(),k=l("div"),m(q.$$.fragment),ge=a(),H=l("div"),m(j.$$.fragment),ve=a(),U=l("div"),m(A.$$.fragment),$e=a(),B=l("div"),m(F.$$.fragment),_e=a(),m(G.$$.fragment),he=a(),g=l("div"),m(O.$$.fragment),Me=a(),X=l("p"),X.textContent=Ae,Ie=a(),Y=l("p"),Y.textContent=Be,Se=a(),Z=l("p"),Z.textContent=Fe,be=a(),m(K.$$.fragment),ye=a(),N=l("div"),m(R.$$.fragment),ze=a(),ee=l("p"),ee.textContent=Ge,xe=a(),re=l("p"),this.h()},l(e){const r=tt("svelte-u9bgzb",document.head);h=o(r,"META",{name:!0,content:!0}),r.forEach(t),ae=n(e),te=o(e,"P",{}),v(te).forEach(t),ne=n(e),i(C.$$.fragment,e),le=n(e),P=o(e,"P",{"data-svelte-h":!0}),E(P)!=="svelte-1d4d2gz"&&(P.innerHTML=ke),oe=n(e),T=o(e,"P",{"data-svelte-h":!0}),E(T)!=="svelte-11r0tff"&&(T.textContent=qe),me=n(e),i(L.$$.fragment,e),ie=n(e),b=o(e,"DIV",{class:!0});var Ee=v(b);i(D.$$.fragment,Ee),Te=n(Ee),J=o(Ee,"P",{"data-svelte-h":!0}),E(J)!=="svelte-u4x3ci"&&(J.textContent=He),Ee.forEach(t),de=n(e),y=o(e,"DIV",{class:!0});var we=v(y);i(M.$$.fragment,we),Le=n(we),Q=o(we,"P",{"data-svelte-h":!0}),E(Q)!=="svelte-j1btz7"&&(Q.innerHTML=je),we.forEach(t),fe=n(e),x=o(e,"DIV",{class:!0});var Ce=v(x);i(I.$$.fragment,Ce),De=n(Ce),W=o(Ce,"P",{"data-svelte-h":!0}),E(W)!=="svelte-1tf4q3f"&&(W.innerHTML=Ue),Ce.forEach(t),ce=n(e),i(S.$$.fragment,e),ue=n(e),z=o(e,"DIV",{class:!0});var Oe=v(z);i(V.$$.fragment,Oe),Oe.forEach(t),pe=n(e),k=o(e,"DIV",{class:!0});var Ke=v(k);i(q.$$.fragment,Ke),Ke.forEach(t),ge=n(e),H=o(e,"DIV",{class:!0});var Re=v(H);i(j.$$.fragment,Re),Re.forEach(t),ve=n(e),U=o(e,"DIV",{class:!0});var Je=v(U);i(A.$$.fragment,Je),Je.forEach(t),$e=n(e),B=o(e,"DIV",{class:!0});var Qe=v(B);i(F.$$.fragment,Qe),Qe.forEach(t),_e=n(e),i(G.$$.fragment,e),he=n(e),g=o(e,"DIV",{class:!0});var w=v(g);i(O.$$.fragment,w),Me=n(w),X=o(w,"P",{"data-svelte-h":!0}),E(X)!=="svelte-4cuoeh"&&(X.textContent=Ae),Ie=n(w),Y=o(w,"P",{"data-svelte-h":!0}),E(Y)!=="svelte-1mfkm3t"&&(Y.textContent=Be),Se=n(w),Z=o(w,"P",{"data-svelte-h":!0}),E(Z)!=="svelte-1x2w0p5"&&(Z.textContent=Fe),w.forEach(t),be=n(e),i(K.$$.fragment,e),ye=n(e),N=o(e,"DIV",{class:!0});var Pe=v(N);i(R.$$.fragment,Pe),ze=n(Pe),ee=o(Pe,"P",{"data-svelte-h":!0}),E(ee)!=="svelte-tjmjug"&&(ee.textContent=Ge),Pe.forEach(t),xe=n(e),re=o(e,"P",{}),v(re).forEach(t),this.h()},h(){$(h,"name","hf:doc:metadata"),$(h,"content",st),$(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){d(document.head,h),s(e,ae,r),s(e,te,r),s(e,ne,r),f(C,e,r),s(e,le,r),s(e,P,r),s(e,oe,r),s(e,T,r),s(e,me,r),f(L,e,r),s(e,ie,r),s(e,b,r),f(D,b,null),d(b,Te),d(b,J),s(e,de,r),s(e,y,r),f(M,y,null),d(y,Le),d(y,Q),s(e,fe,r),s(e,x,r),f(I,x,null),d(x,De),d(x,W),s(e,ce,r),f(S,e,r),s(e,ue,r),s(e,z,r),f(V,z,null),s(e,pe,r),s(e,k,r),f(q,k,null),s(e,ge,r),s(e,H,r),f(j,H,null),s(e,ve,r),s(e,U,r),f(A,U,null),s(e,$e,r),s(e,B,r),f(F,B,null),s(e,_e,r),f(G,e,r),s(e,he,r),s(e,g,r),f(O,g,null),d(g,Me),d(g,X),d(g,Ie),d(g,Y),d(g,Se),d(g,Z),s(e,be,r),f(K,e,r),s(e,ye,r),s(e,N,r),f(R,N,null),d(N,ze),d(N,ee),s(e,xe,r),s(e,re,r),Ne=!0},p:Xe,i(e){Ne||(c(C.$$.fragment,e),c(L.$$.fragment,e),c(D.$$.fragment,e),c(M.$$.fragment,e),c(I.$$.fragment,e),c(S.$$.fragment,e),c(V.$$.fragment,e),c(q.$$.fragment,e),c(j.$$.fragment,e),c(A.$$.fragment,e),c(F.$$.fragment,e),c(G.$$.fragment,e),c(O.$$.fragment,e),c(K.$$.fragment,e),c(R.$$.fragment,e),Ne=!0)},o(e){u(C.$$.fragment,e),u(L.$$.fragment,e),u(D.$$.fragment,e),u(M.$$.fragment,e),u(I.$$.fragment,e),u(S.$$.fragment,e),u(V.$$.fragment,e),u(q.$$.fragment,e),u(j.$$.fragment,e),u(A.$$.fragment,e),u(F.$$.fragment,e),u(G.$$.fragment,e),u(O.$$.fragment,e),u(K.$$.fragment,e),u(R.$$.fragment,e),Ne=!1},d(e){e&&(t(ae),t(te),t(ne),t(le),t(P),t(oe),t(T),t(me),t(ie),t(b),t(de),t(y),t(fe),t(x),t(ce),t(ue),t(z),t(pe),t(k),t(ge),t(H),t(ve),t(U),t($e),t(B),t(_e),t(he),t(g),t(be),t(ye),t(N),t(xe),t(re)),t(h),p(C,e),p(L,e),p(D),p(M),p(I),p(S,e),p(V),p(q),p(j),p(A),p(F),p(G,e),p(O),p(K,e),p(R)}}}const st='{"title":"General Utilities","local":"general-utilities","sections":[{"title":"Enums and namedtuples","local":"transformers.utils.ExplicitEnum","sections":[],"depth":2},{"title":"Special Decorators","local":"transformers.add_start_docstrings","sections":[],"depth":2},{"title":"Special Properties","local":"transformers.utils.cached_property","sections":[],"depth":2},{"title":"Other Utilities","local":"transformers.utils._LazyModule","sections":[],"depth":2}],"depth":1}';function at(Ve){return Ye(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class it extends Ze{constructor(h){super(),et(this,h,at,rt,We,{})}}export{it as component};
